Post
/api/v1/livechat/inquiries.take
Join an open inquiry.
Permission required: view-l-room
Changelog
| Version | Description |
|---|---|
| 1.2.0 | Added |
Header parameters
X-Auth-Token
stringRequired
The authToken of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired
The userId of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parameters
If the userId is provided, the user must have the view-l-room permission.
Example 1
{
"inquiryId": "ByehQjC44FwMeiLbX"
}object
inquiryId
string Required
The inquiry ID.
userId
string
The user's (agent) ID who is taking the inquiry. The user must have view-l-room permission.
Responses
200
OK
Success
{
"success": true
}object
success
boolean
400
Bad Request
Example 1
{
"success": false,
"error": "must have required property 'inquiryId' [error-invalid-params]",
"errorType": "error-invalid-params"
}object
success
boolean
error
string
errorType
string
401
Unauthorized
Authorization Error
{
"success": false,
"error": "You must be logged in to do this."
}object
success
boolean
error
string
403
Forbidden
Permission Error
{
"success": false,
"error": "User does not have the permissions required for this action",
"errorType": "error-forbidden"
}object
success
boolean
error
string
errorType
string